package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class Calendario.
 * @see sicura.entities.Calendario
 * @author Hibernate Tools
 */
@Stateless
public class CalendarioHome {

	private static final Log log = LogFactory.getLog(CalendarioHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(Calendario transientInstance) {
		log.debug("persisting Calendario instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(Calendario persistentInstance) {
		log.debug("removing Calendario instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public Calendario merge(Calendario detachedInstance) {
		log.debug("merging Calendario instance");
		try {
			Calendario result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public Calendario findById(Integer id) {
		log.debug("getting Calendario instance with id: " + id);
		try {
			Calendario instance = entityManager.find(Calendario.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
